ATI顯示卡在ubuntu 7.04的問題

幾天開始使用ubuntu 7.04,一開始覺得畫面有點霧茫茫沒有很細膩,並且後來也發現到,雖然不安裝Restricted Driver Manager中的受限的驅動程式可以使用桌面特效,但是卻會造成電腦在莫名其妙的時候當機,然而裝了之後,卻又發現一旦選擇登出,跳到登入畫面的時候,整個畫面完全無法看,會變成畫面在左右跳動(發現的原因是因為我有裝KDE來玩,想要登出後以KDE登入)。


今天心血來潮就在Ubuntu正體中文站瀏覽,其實裡面許多文章都在討論,很多都沒有確切的結果,特別是ATI顯示卡的問題,後來就試著去ATI官方網站看看,由於我的筆是比較老的單核acer 5502用的是ATI Mobility Radeon X700,可以看到裡面有提供Linux版本的驅動程式,不過並沒有寫到支援Ubuntu版本,但是後來在Ubuntu正體中文站討論區看到這篇:Ubuntu 7.04 安裝 x1400之顯示卡驅動程式 成功所提到的Ubuntu Feisty Installation Guide,姑且看一下裡面的安裝方式,由於之前就把ATI Mobility Radeon X700驅動程式下載,看installer instructions也是有看沒有懂,但是看到wiki這篇文章中

sudo bash ati-driver-installer-8.36.5-x86.x86_64.run –buildpkg Ubuntu/feisty

和我所下載的完全一樣,於是就依照著指示一步一步下去,不過在最後的

sudo module-assistant prepare
sudo module-assistant update
sudo module-assistant build fglrx
sudo module-assistant install fglrx
sudo depmod -a

Build的過程中失敗,所以最後這幾步無法成功,不過後來重新開機後,畫面變漂亮了,曚曨的感覺不見了,而且最令我無法接受的登出後螢幕亂跳的問題也不見了,並且在Restricted Driver Manager中告訴我:”太好了,您的硬件不需要任何受限驅動”,真是非常神奇!
5/23更新
其實下面的參考連結第一個,有提到說如果出現build失敗的話改以

cd /usr/src

sudo dpkg -i fglrx-kernel-2.6.20-15-generic_8.36.5-1+2.6.20-15.27_i386.deb

5/26更新

今天試點Restricted Driver Manager的時候,系統說需要linux-restricted-modules-2.6.20-15-lowlatency的套件,於是進入,Synaptic套件管理程式,不過下載linux-restricted-modules-2.6.20-15-lowlatency的時候似乎不能下載,但是有linux-restricted-modules-2.6.20-16-lowlatency可以下載,於是下載安裝,但是不知道改變了什麼。

目前整理如下:

sudo gedit /etc/X11/xorg.conf

add in

Section “Extensions”
Option “Composite” “Disable”
EndSection

sudo apt-get update
sudo apt-get install module-assistant build-essential fakeroot dh-make debhelper debconf libstdc++5 linux-headers-$(uname -r)

wget https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-driver-installer-8.36.5-x86.x86_64.run

bash ati-driver-installer-8.36.5-x86.x86_64.run –buildpkg Ubuntu/feisty

sudo dpkg -i xorg-driver-fglrx_8.36.5-1*.deb
sudo dpkg -i fglrx-kernel-source_8.36.5-1*.deb
sudo dpkg -i fglrx-amdcccle_8.36.5-1*.deb
sudo rm /usr/src/fglrx-kernel*.deb

sudo apt-get -f install

sudo module-assistant prepare
sudo module-assistant update
sudo module-assistant build fglrx

sudo module-assistant install fglrx

cd /usr/src
sudo dpkg -i fglrx-kernel-2.6.20-15-generic_8.36.5-1+2.6.20-15.27_i386.deb

Synaptic套件管理程式 -> linux-restricted-modules-2.6.20-16-lowlatency


參考連結
Ubuntu 7.04 安裝 x1400之顯示卡驅動程式 成功
Ubuntu Feisty Installation Guide

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s